filter_buffer_decoder.c File Reference

Single-call raw decoding. More...

`#include "filter_decoder.h"`

## Functions

lzma_ret | lzma_raw_buffer_decode (const lzma_filter *filters, const lzma_allocator *allocator, const uint8_t *in, size_t *in_pos, size_t in_size, uint8_t *out, size_t *out_pos, size_t out_size)
| Single-call raw decoder. More...

## Detailed Description

Single-call raw decoding.

## Function Documentation

## lzma_raw_buffer_decode()

lzma_ret lzma_raw_buffer_decode | ( | const lzma_filter * | filters,
|  | const lzma_allocator * | allocator,
|  | const uint8_t * | in,
|  | size_t * | in_pos,
|  | size_t | in_size,
|  | uint8_t * | out,
|  | size_t * | out_pos,
|  | size_t | out_size
| ) |  |

Single-call raw decoder.

Parameters

  filters | Array of lzma_filter structures. The end of the array must be marked with .id = LZMA_VLI_UNKNOWN.
  allocator | lzma_allocator for custom allocator functions. Set to NULL to use malloc() and free().
  in | Beginning of the input buffer
  in_pos | The next byte will be read from in[*in_pos]. *in_pos is updated only if decoding succeeds.
  in_size | Size of the input buffer; the first byte that won't be read is in[in_size].
  out | Beginning of the output buffer
  out_pos | The next byte will be written to out[*out_pos]. *out_pos is updated only if encoding succeeds.
  out_size | Size of the out buffer; the first byte into which no data is written to is out[out_size].